/*****************************************************************************/
/*									 								    	 */
/*  			       	      CheckLicense()               		             */
/*																		     */
/*		Function to validate a licensed user of an HTS program               */
/*                                                                           */
/*		Purpose:		A valid HTS program user will have this DLL in his   */
/*						or her working directory.  Using the LICENS32.DLL to */
/*						validate the user allows free downloading of program */
/*						updates, which won't work without this DLL.          */
/*						Sure an unlicensed copy could be made, but that is   */
/*						possible anyway.  This validation method takes care  */
/*						of the stranger downloading and using an illicit     */
/*						copy.                                                */
/*			                                                                 */
/*      Parameters:    	None (void)                                          */
/*                                                                           */
/*		Return:         int           = Validation code        			     */
/*									 									     */
/*		Notes:          CheckLicense() is a function in the LICENS32.DLL.    */
/*						This DLL is loaded at the beginning of an            */
/*                      application.  Failure to load gives a missing DLL    */
/*                      error message that gives a clue by its name.         */
/*                      If a DLL by that name is present, then a call is     */
/*                      made to CheckLicense(), which must return the        */
/*                      correct code.  This prevents unlicensed user from    */
/*						simply renaming any DLL to LICENS32.DLL.             */
/*			                                                                 */
/*						The LICENS32.DLL is only distributed along with	     */
/*			            the original program package or a paid update.       */
/*					                                                         */
/*					    Full version 1.50 and higher uses the version #      */
/*					    x100 (e.g. Version 1.50 = 150) as the code #         */
/*					    This will eventually allow invalidation of updates   */
/*					    for old licenses without payment of update fee       */
/*					                                                         */
/*		Just build this DLL with code wanted and then rename it accordingly  */
/*                                                                           */
/*		Validation code list:                                                */
/*                                                                           */
/*		DLL			  Program	   Description					    Code     */
/*		-----------	  -------	   ----------------------------     ----     */
/*		LICENSE.DLL	  STABLE_W     Stable/Win 3.1 Std			     1       */
/*								   Not used                          2       */
/*		LICENS32.DLL  Stable32	   Stable32 Win95/98/NT Beta & Std   3       */
/*		LICENSES.DLL  Stable32     Stable32 Student		             4       */
/*		LICENSEL.DLL  Stable Lite  Lite version of Stable32          5       */
/*		LICENS32.DLL  Stable32     Demo version                      6	     */
/*		LICENS32.DLL  Stable32	   Version 1.50					   150	     */
/*		LICENS32.DLL  Stable32	   Version 1.51					   151	     */
/*		LICENS32.DLL  Stable32	   Version 1.52					   152	     */
/*		LICENS32.DLL  Stable32	   Version 1.53					   153	     */
/*		LICENS32.DLL  Stable32	   Version 1.54					   154	     */
/*		LICENS32.DLL  Stable32	   Version 1.55					   155	     */
/*		LICENS32.DLL  Stable32	   Version 1.56					   156	     */
/*		LICENS32.DLL  Stable32	   Version 1.57					   157	     */
/*		LICENS32.DLL  Stable32	   Version 1.58					   158	     */
/*		LICENS32.DLL  Stable32	   Version 1.59					   159	     */
/*			                                                                 */
/*		Revision record:                                                     */
/*			11/30/97	Drafted                                              */
/*			01/01/98	Changes for MS VC++ compatibility & warnings         */
/*			02/24/98	Changed to Code 2 for Stable32                       */
/*			03/27/99	Updated names & codes                                */
/*			05/22/99	Added Stable Lite version                            */
/*			01/01/07	Changed code for Stable32 version 1.50               */
/*			01/01/07	Changed code for Stable32 version 1.51               */
/*			10/07/07	Changed code for Stable32 version 1.52               */
/*			01/15/08	Changed code for Stable32 version 1.53               */
/*			05/13/08	Changed code for Stable32 version 1.54               */
/*			12/05/11	Changed code for Stable32 version 1.59               */
/*																		     */
/* (c) Copyright 1997-2011 Hamilton Technical Services All Rights Reserved   */
/*                                                                           */
/*****************************************************************************/

#include <windows.h>

int __declspec(dllexport) FAR PASCAL CheckLicense(void)
{
	return 159;
}

