/*****************************************************************************/
/*                                                                           */
/*	 Vibra.c                                                                 */
/*                                                                           */
/*   Win32 program to calculate vibration-induced phase noise.               */
/*   Uses dialog box as its main window.                                     */
/*   Has no menu, toolbuttons or other windows.                              */
/*                                                                           */
/*   Major revision record:                                                  */
/*      06/07/99    Created from Simple.c                                    */
/*		06/08/99	Dialog box revised                                       */
/*		06/09/99	Basic functionality added                                */
/*      05/20/08	Recreated rc file and dialog box - was missing           */
/*					Added Sine FM type                                       */
/*                                                                           */
/*  (c) 1999-2008 W. Riley Hamilton Technical Services  All Rights Reserved  */
/*                                                                           */
/*****************************************************************************/

// Includes
#include "Vibra.h"
#include "resource.h"

// Global variables
// Note: All string allocations have extra character for EOS
HWND hwndMain;								// Main window handle
HINSTANCE hInst;							// Application instance
HICON hIcon;								// Application icon
char szTrace[BUFFER_SIZE+1];				// Trace buffer

// WinMain() function
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
	PSTR szCmdLine, int nCmdShow)
{
	// Local variables
    MSG         msg;						// Main message loop message

	// Get handle to application icon
	hIcon=LoadIcon(hInstance, "VibraIcon");

	// Set global instance handle
	hInst=hInstance;

	// Create dialog box to be used as main window
	hwndMain=CreateDialog(hInstance, "VibraBox", NULL,	VibraDlgProc);
	
	// Display main window
    ShowWindow(hwndMain, nCmdShow);
    UpdateWindow(hwndMain);

	// Main message loop
    while(GetMessage(&msg, NULL, 0, 0))
    {
		// Is this a dialog box message?
		if(IsDialogMessage(hwndMain, &msg))
		{
			// If so, skip normal message handling
			continue;
		}
		
		// Otherwise process message as normal
		TranslateMessage(&msg);
        DispatchMessage(&msg);
    }
    return msg.wParam;
}

/*****************************************************************************/
